Page MenuHomePhabricator

[PowerPC] Implement patterns for PC-Rel zextload/extload byte loads
ClosedPublic

Authored by amyk on Mar 5 2021, 6:23 AM.

Details

Summary

This patch adds patterns to select the PC-Relative extloadi1 and zextloadi1 byte loads.
The test case is tested at -O1 in order to test the new patterns added.

Diff Detail

Unit TestsFailed

TimeTest
2,090 msx64 debian > libarcher.races::task-two.c
Script: -- : 'RUN: at line 13'; /mnt/disks/ssd0/agent/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -g -O1 -fsanitize=thread -I /mnt/disks/ssd0/agent/llvm-project/openmp/tools/archer/tests -I /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/runtime/src -L /mnt/disks/ssd0/agent/llvm-project/build/lib -Wl,-rpath,/mnt/disks/ssd0/agent/llvm-project/build/lib /mnt/disks/ssd0/agent/llvm-project/openmp/tools/archer/tests/races/task-two.c -o /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/tools/archer/tests/races/Output/task-two.c.tmp -latomic && env TSAN_OPTIONS='ignore_noninstrumented_modules=0:ignore_noninstrumented_modules=1' /mnt/disks/ssd0/agent/llvm-project/openmp/tools/archer/tests/deflake.bash /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/tools/archer/tests/races/Output/task-two.c.tmp 2>&1 | tee /mnt/disks/ssd0/agent/llvm-project/build/projects/openmp/tools/archer/tests/races/Output/task-two.c.tmp.log | /mnt/disks/ssd0/agent/llvm-project/build/./bin/FileCheck /mnt/disks/ssd0/agent/llvm-project/openmp/tools/archer/tests/races/task-two.c

Event Timeline

amyk created this revision.Mar 5 2021, 6:23 AM
amyk requested review of this revision.Mar 5 2021, 6:23 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 5 2021, 6:23 AM
lei accepted this revision as: lei.Mar 9 2021, 12:40 PM
This revision is now accepted and ready to land.Mar 9 2021, 12:40 PM
This revision was landed with ongoing or failed builds.Mar 10 2021, 10:19 AM
This revision was automatically updated to reflect the committed changes.